Subject: 600877382 // GF-6037 :Mastela - Rocking Chairs Baby Cradle Bed // Defective
From: Kenneth Nwaso <[email-masked]>
To: Shams Ziya <[email-masked]>, [email-masked]
Cc: customer care <[email-masked]>, "Returns.fc" <[email-masked]>, Abdelmohsen basha <[email-masked]>
Date: Tue, 18 Aug 2020 15:51:11 +0400
List-Id: <ccteam.mumzworld.com>

Hi Zayeem,

Kindly find below complaint from our KSA customer regarding subject matter
from the PO_HQ3315.

One of our agents may have communicated this to you earlier. Please find
below customers comments and advice us.

when I tried to fix it I found lots of items damaged and missing 1. Two
screws are not available 2. Broken item due to the pressure or not handling
my package with care. 3. The control machine is jammed and stuck inside.
The whole cradle bed is not in condition which can be used, and I’m really
surprised that it didn’t came in the original box ! Please advise..

*BEST REGARDS**...**✍*